Package org.eclipse.cdt.core.settings.model

# Interface ICExternalSetting

All Known Implementing Classes:
  `CExternalSetting`

public interface ICExternalSetting

## Method Summary

Modifier and Type
Method
Description
`String[]`
`getCompatibleContentTypeIds()`
`String[]`
`getCompatibleExtensions()`
`String[]`
`getCompatibleLanguageIds()`
`ICSettingEntry[]`
`getEntries()`
`ICSettingEntry[]`
`getEntries(int kind)`

## Method Details

### getCompatibleLanguageIds

String[] getCompatibleLanguageIds()

### getCompatibleContentTypeIds

String[] getCompatibleContentTypeIds()

### getCompatibleExtensions

String[] getCompatibleExtensions()

### getEntries

ICSettingEntry[] getEntries(int kind)

### getEntries

ICSettingEntry[] getEntries()